<div class="container py-4">
  <div class="accordion" id="general-data-accordion">
    <div class="card">
      <div class="card-header" id="headingGeneralDataCharacterization ">
        <h5 class="mb-0">
          <button class="btn btn-link" data-toggle="collapse" data-target="#collapseGeneralDataCharacterization,#headercharacterization,#infocharacterization" aria-expanded="true" aria-controls="collapseGeneralDataCharacterization">
            <%= t '.characterization' %>
          </button>
          <%= image_tag('info.svg', id: "infocharacterization", class: 'btn collapse show float-right', 'aria-labelledby' => "headingGeneralDatacharacterization", 'title' => t('.characterization_info')) %>
          <%= link_to 'javascript:void(0)', onclick: "characterizationimageGenerator.generate('characterization_body')",
            'id' => "headercharacterization", 'class' => 'btn collapse show float-right',
            'aria-labelledby' => "headingGeneralDataCharacterization" do %>
            <%= image_tag('download.svg') %>
          <% end %>
        </h5>
      </div>

      <div id="collapseGeneralDataCharacterization" class="collapse show" aria-labelledby="headingGeneralDataCharacterization">
        <div class="card-body", id='characterization_body'>
          <%= render partial: 'characterization' %>
          <%= render partial: 'pdf_generator', locals: { kind: 'characterization' } %>
        </div>
      </div>
    </div>

    <% %w[rankings historic_series specialties health_facilities
          health_facilities_specialty_distances distance hospitalizations].each do |kind| %>
      <%= render partial: 'card', locals: { kind: kind } %>
    <% end %>

    <% if division_present_in_class(PatientDatum, 'administrative_sector') or
          division_present_in_class(PatientDatum, 'regional_health_coordination') or
          division_present_in_class(PatientDatum, 'technical_health_supervision') or
          division_present_in_class(PatientDatum, 'subprefectures') %>
      <%= render partial: 'card', locals: { kind: 'territory' } %>
    <% end %>

    <% %w[dynamic descriptive_statistics].each do |kind| %>
      <%= render partial: 'card', locals: { kind: kind } %>
    <% end %>
  </div>
</div>

<%= javascript_pack_tag 'general_data/GeneralData' %>
<%= javascript_pack_tag 'general_data/ChartGenerator' %>

<%= javascript_tag do %>
  colorHashes = <%= @color_hashes.to_json.html_safe; %>
  generalData = new GeneralData($);

  $('#ranking_category').trigger('change')
  $('#health_facility_specialty_distances_select').trigger('change')
  $('#dynamic_chart_options').trigger('change')
<% end %>
